#ifndef EXIT_TRIGGER_HPP
#define EXIT_TRIGGER_HPP

#include <godot_cpp/classes/area3d.hpp>

namespace godot {
class ExitTrigger : public Area3D {
    GDCLASS(ExitTrigger, Area3D);
    static void _bind_methods();
public:
    virtual void _enter_tree() override;
    void body_entered(Node3D *node);
};
}

#endif // !EXIT_TRIGGER_HPP
